Module
Contents
Index 🔎︎

## YEARFRAC

The result is the number of the years (including fractional part) between StartDate and EndDate.

### Syntax

YEARFRAC(StartDate; EndDate; Basis)

StartDate and EndDate are two date values.

Basis (optional) is chosen from a list of options and indicates how the year is to be calculated.

Basis | Calculation
0 or missing | US method (NASD), 12 months of 30 days each
1 | Exact number of days in months, exact number of days in year
2 | Exact number of days in month, year has 360 days
3 | Exact number of days in month, year has 365 days
4 | European method, 12 months of 30 days each

### Example

What fraction of the year 2008 lies between 2008-01-01 and 2008-07-01?

=YEARFRAC("2008-01-01"; "2008-07-01";0) returns 0.50.